=== debian/changelog ===
gnucash-docs (3.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Dec 2019 03:03:22 +1100
