=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## Disable build-time network access #831019:
export XSLTPROCFLAGS=--nonet

## https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584472
export JAVA_CLASSPATH=/usr/share/java/fontbox2.jar

%:
	dh $@

## TODO: use "fonts-horai-umefont".
fonts/gothic.xml:
	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf $@

fonts/mincho.xml:
	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf $@

override_dh_clean:
	dh_clean
	$(RM) -rfv fonts

#override_dh_auto_configure: fonts/mincho.xml fonts/gothic.xml
#	dh_auto_configure -- --with-japanese-fontdir=/usr/share/fonts/truetype/horai-umefont

override_dh_auto_build:
	mkdir -pv fonts/truetype
	ln -sv /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf    fonts/truetype/    # fonts-horai-umefont
	ln -sv /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf    fonts/truetype/    # fonts-horai-umefont
	mkdir -pv fonts/opentype
	ln -sv /usr/share/fonts/opentype/freefont                      fonts/opentype/    # fonts-freefont-otf
	$(MAKE) html pdf

override_dh_auto_clean:
	dh_auto_clean
	for lg in C it de ja pt ru; do \
		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
	done

override_dh_installdocs:
	dh_installdocs
	for suffix in "/" ".pdf"; do \
		for type in help guide; do \
			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
			cp -a $${type}/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
			cp -a $${type}/ru/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
			if [ "$${type}" = guide ]; then \
				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
			fi; \
		done; \
	done
	# Replace duplicate files with symlinks, to save space.
	# And make sure that files from /usr/share/doc are not taken as original copy.
	rdfind -outputname /dev/null -makesymlinks true debian/gnucash-docs/usr/share/gnome/ \
		debian/gnucash-docs/usr/share/doc/
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/gnucash-docs/

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-horai-umefont fonts-freefont-otf,$(shell dpkg-query --show -f '$${source:Package} (=$${Version})' $(pkg)),)"
