## gnucash-docs 3.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This sets a number of environment variables we can use later on
 # The names of these variables start with PROJECT_ and gnucash-docs_VERSION
 project (gnucash-docs
-    VERSION 3.8
+    VERSION 3.10
     LANGUAGES NONE)
 
 set (PACKAGE_NAME GnuCash Docs)
@@ -171,7 +171,11 @@
     add_custom_target(mobi)
 endif()
 if (WITH_CHM)
-    add_custom_target(chm)
+    if(WIN32)
+        add_custom_target(chm ALL)
+    else()
+        add_custom_target(chm)
+    endif()
 endif()
