=== debian/changelog ===
gnucash-docs (3.10-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Apr 2020 00:28:20 -0700

gnucash-docs (3.9-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Apr 2020 20:04:02 -0700
