=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Package: gnucash-docs
 Architecture: all
 Built-Using: ${misc:Built-Using}, ${my:Built-Using}
-Depends: ${misc:Depends}
-Recommends: yelp
+Depends: ${misc:Depends}, yelp
+# Recommends: yelp
 Suggests: gnucash, pdf-viewer, www-browser
 Conflicts: gnucash (<< 1.9.0-1)
 Description: Documentation for gnucash, a personal finance tracking program
