## gnucash-docs 4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,11 @@
 
 # This sets a number of environment variables we can use later on
 # The names of these variables start with PROJECT_ and gnucash-docs_VERSION
+# We don't actually use C, but GNUInstallDirs doesn't work if we don't
+# specify a language.
 project (gnucash-docs
-    VERSION 3.10
-    LANGUAGES NONE)
+    VERSION 4.2
+    LANGUAGES C)
 
 set (PACKAGE_NAME GnuCash Docs)
 set (PACKAGE_BUGREPORT "https://bugs.gnucash.org/describecomponents.cgi?product=Documentation")
@@ -122,7 +124,7 @@
     # Mobi is based on epub so enable epub if mobi is requested
     set(WITH_EPUB ON)
 else()
-    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBY=ON if you want to enable it.")
+    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBI=ON if you want to enable it.")
 endif()
 
 # To find our figures in the source directory each run of fop
@@ -185,34 +187,14 @@
 if(AUTOTOOLS_IN_DIST)
     set(autotoolsfiles
         configure.ac
-        configure
-        config.guess
-        config.sub
-        COPYING
-        INSTALL
         Makefile.am
-        aclocal.m4
         gnucash-docs.spec.in
-        install-sh
-        ltmain.sh
-        missing
         chm.make
         epub.make
         mobi.make
         omf.make
         pdf.make
         xmldocs.make)
-
-    # If autogen.sh is not in the source tree, we assume the source is extracted
-    # from a dist tarball. In that case the Makefile.in files are already present
-    # and we can include the directly instead of generating them from autogen.sh
-    find_file(AUTOGEN autogen.sh
-        HINTS "${CMAKE_SOURCE_DIR}"
-        NO_DEFAULT_PATH)
-    if(NOT AUTOGEN)
-        list(APPEND autotoolsfiles Makefile.in)
-        message(STATUS "autogen.sh not in source tree. Assuming Makefile.in files are present instead")
-    endif()
 
     add_to_dist(${autotoolsfiles})
 endif()
@@ -244,7 +226,7 @@
            -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
            -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
            "-Ddist_files=\"${dist_files}\""
-           -D AUTOGEN=${AUTOGEN}
+           -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
            -D SHELL=${SHELL}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake
