=== debian/changelog ===
gnucash-docs (4.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Oct 2020 09:25:03 -0700

gnucash-docs (4.2-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Oct 2020 01:09:14 +1000

gnucash-docs (3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Apr 2020 23:26:17 +1000

gnucash-docs (3.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Apr 2020 18:38:20 +1000
