=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12), xsltproc, fop
-    ,docbook-xml
-    ,fonts-freefont-otf
-    ,fonts-horai-umefont
-    ,libfontbox2-java
-    ,libxml2-utils
-    ,rdfind, symlinks
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12),
+               docbook-xml,
+               fonts-freefont-otf,
+               fonts-horai-umefont,
+               fop,
+               libfontbox2-java,
+               libxml2-utils,
+               rdfind,
+               symlinks,
+               xsltproc
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
 Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
+Rules-Requires-Root: no
 
 Package: gnucash-docs
 Architecture: all
