## gnucash-docs 4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # We don't actually use C, but GNUInstallDirs doesn't work if we don't
 # specify a language.
 project (gnucash-docs
-    VERSION 4.2
+    VERSION 4.4
     LANGUAGES C)
 
 set (PACKAGE_NAME GnuCash Docs)
