=== guide/CMakeLists.txt ===
--- 
+++ 
@@ -38,12 +38,8 @@
 add_subdirectory(it)
 add_subdirectory(ja)
 add_subdirectory(pt)
-add_subdirectory(ru)
 
 if(AUTOTOOLS_IN_DIST)
     set(autotoolsfiles Makefile.am)
-    if(NOT AUTOGEN)
-        list(APPEND autotoolsfiles Makefile.in)
-    endif()
 endif()
 add_to_dist(CMakeLists.txt ${autotoolsfiles})
