=== help/CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,5 @@
 
 if(AUTOTOOLS_IN_DIST)
     set(autotoolsfiles Makefile.am)
-    if(NOT AUTOGEN)
-        list(APPEND autotoolsfiles Makefile.in)
-    endif()
 endif()
 add_to_dist(CMakeLists.txt ${autotoolsfiles})
