=== debian/changelog ===
gnucash-docs (4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jan 2021 14:51:40 +1100
