=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
-               docbook-xml,
-               fonts-freefont-otf,
-               fonts-horai-umefont,
-               fop,
-               libfontbox2-java,
-               libxml2-utils,
-               rdfind,
-               symlinks,
-               xsltproc
+Build-Depends: debhelper-compat (= 12), xsltproc, fop
+    ,docbook-xml
+    ,fonts-freefont-otf
+    ,fonts-horai-umefont
+    ,libfontbox2-java
+    ,libxml2-utils
+    ,rdfind, symlinks
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
 Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
@@ -22,8 +18,8 @@
 Package: gnucash-docs
 Architecture: all
 Built-Using: ${misc:Built-Using}, ${my:Built-Using}
-Depends: ${misc:Depends}, yelp
-# Recommends: yelp
+Depends: ${misc:Depends}
+Recommends: yelp
 Suggests: gnucash, pdf-viewer, www-browser
 Conflicts: gnucash (<< 1.9.0-1)
 Description: Documentation for gnucash, a personal finance tracking program
