=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	for lg in C it de ja pt ru; do \
+	for lg in C it de ja pt; do \
 		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
 	done
 
@@ -48,7 +48,6 @@
 			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
 			cp -a $${type}/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
-			cp -a $${type}/ru/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
 			if [ "$${type}" = guide ]; then \
 				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
 			fi; \
