## gnucash-docs 4.6

=== debian/changelog ===
gnucash-docs (4.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Build with CMAKE.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Aug 2021 14:04:49 +1000
