## gnucash-docs 4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # We don't actually use C, but GNUInstallDirs doesn't work if we don't
 # specify a language.
 project (gnucash-docs
-    VERSION 4.4
+    VERSION 4.8
     LANGUAGES C)
 
 set (PACKAGE_NAME GnuCash Docs)
@@ -53,10 +53,6 @@
 endif()
 option (WITH_MOBI "Enable build rules for Mobipocket document format" OFF)
 
-# If AUTOTOOLS_IN_DIST is OFF, then 'dist' wont run autogen.sh, and 'distcheck'
-# won't run the autotools distcheck. Note that various Makefile.am files are still
-# included in the dist when this is OFF. I'll fix that at some point.
-option (AUTOTOOLS_IN_DIST "Add autotools support to distribution tarballs." ON)
 # ############################################################
 # Following parameters can equally be set using -D switches on the CMake command line.
 # Set font dirs and font for Russian pdf documents
@@ -119,10 +115,11 @@
     find_program(EBOOK_CONVERT ebook-convert)
     if (NOT EBOOK_CONVERT)
         set(WITH_MOBI OFF)
-        message(SEND_ERROR "Couldn't find ebook-convert required for mobi file format support. Please install the Calibre package: https://www.calibre-ebook.com/")
+        message(WARNING "Can't find ebook-convert. To enable the generation of mobi files install the Calibre package: https://www.calibre-ebook.com/")
+    else()
+        # Mobi is based on epub so enable epub if mobi is requested
+        set(WITH_EPUB ON)
     endif()
-    # Mobi is based on epub so enable epub if mobi is requested
-    set(WITH_EPUB ON)
 else()
     message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBI=ON if you want to enable it.")
 endif()
@@ -182,37 +179,25 @@
 
 
 add_subdirectory (guide)
-add_subdirectory (help)
-
-if(AUTOTOOLS_IN_DIST)
-    set(autotoolsfiles
-        configure.ac
-        Makefile.am
-        gnucash-docs.spec.in
-        chm.make
-        epub.make
-        mobi.make
-        omf.make
-        pdf.make
-        xmldocs.make)
-
-    add_to_dist(${autotoolsfiles})
-endif()
+add_subdirectory (manual)
 
 file(GLOB_RECURSE extrafiles
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-    cmake/* fonts/* stylesheet/* xsl/*)
+    cmake/* fonts/* stylesheet/* xsl/* docbook/*)
 add_to_dist(${extrafiles})
+
+configure_file(COPYING ${DATADIR_BUILD}/${PROJECT_NAME}/COPYING COPYONLY)
+configure_file(COPYING-DOCS ${DATADIR_BUILD}/${PROJECT_NAME}/COPYING-DOCS COPYONLY)
+install(FILES COPYING COPYING-DOCS DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
 
 add_to_dist(
     AUTHORS
     CMakeLists.txt
+    COPYING
     COPYING-DOCS
     ChangeLog
-    HACKING
     NEWS
     README
-    docbook/gnc-docbookx.dtd
     fop.xconf.in)
 
 ############################ BEGIN MAKE DIST #################
@@ -226,7 +211,6 @@
            -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
            -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
            "-Ddist_files=\"${dist_files}\""
-           -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
            -D SHELL=${SHELL}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake
 
@@ -241,7 +225,6 @@
             -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
             -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
             -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
-            -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
             -D SHELL=${SHELL}
             -P ${CMAKE_SOURCE_DIR}/cmake/MakeDistCheck.cmake
         )
