=== guide/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,4 @@
 add_subdirectory(ja)
 add_subdirectory(pt)
 
-if(AUTOTOOLS_IN_DIST)
-    set(autotoolsfiles Makefile.am)
-endif()
-add_to_dist(CMakeLists.txt ${autotoolsfiles})
+add_to_dist(CMakeLists.txt)
