=== guide/C/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,6 @@
         ch_import_business_data.xml
         gnc-glossary.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml)
 
 add_gnc_doc_targets(${docname} "${entities}")
