=== guide/de/CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,9 @@
         ch_oth_assets.xml
         ch_oview.xml
         ch_python_bindings.xml
+        ch_reports.xml
         ch_txns.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml
         appendixe.xml
         fdl-appendix.xml
