=== guide/it/CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,6 @@
         ${top_srcdir}/guide/C/ch_import_business_data.xml
         ${top_srcdir}/guide/C/gnc-glossary.xml
         ${top_srcdir}/guide/C/appendixa.xml
-        ${top_srcdir}/guide/C/appendixb.xml
-        ${top_srcdir}/guide/C/appendixc.xml
         ${top_srcdir}/guide/C/appendixd.xml)
 
 #gnucash-guide.xml: ${COMPONENTS} ${srcdir}/it.po
