=== guide/ja/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,6 @@
         ch_oth_assets.xml
         ch_python_bindings.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml)
 
 set (FOP_XCONF "${CMAKE_CURRENT_SOURCE_DIR}/fop.xconf.in")
