=== debian/changelog ===
gnucash-docs (4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Dec 2021 15:23:39 +1100
