=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 12), xsltproc, fop
+    ,cmake
     ,docbook-xml
     ,fonts-freefont-otf
     ,fonts-horai-umefont
