## gnucash-docs 4.10.1

=== debian/changelog ===
gnucash-docs (4.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Apr 2022 07:38:15 +1000

gnucash-docs (4.10-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Mar 2022 20:15:47 +1100
