## gnucash-docs 4.11

=== debian/changelog ===
gnucash-docs (4.11-2) unstable; urgency=medium

  * Install Gnome help files (Closes: #1018983).
    Thanks, Antonio Calvo Rodriguez.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Sep 2022 09:32:27 +1000

gnucash-docs (4.11-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 15:12:59 +1000
