=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	dh_auto_configure -- -Wdev \
                -DCMAKE_VERBOSE_MAKEFILE=ON  \
                -DCMAKE_BUILD_TYPE=Release   \
+               -DWITH_PDF=ON                \
         ;
 
 override_dh_auto_build:
@@ -39,10 +40,11 @@
 	ln -sv /usr/share/fonts/opentype/freefont                       fonts/opentype/    # fonts-freefont-otf
 #	dh_auto_build
 	$(MAKE) -C $(BDIR) html pdf
+# ghelp
 
 override_dh_auto_clean:
 	dh_auto_clean
-	for lg in C it de ja pt; do \
+	for lg in C it de pt; do \
 		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
 	done
 
@@ -51,15 +53,20 @@
 
 override_dh_installdocs:
 	dh_installdocs
+	set -e; \
 	for suffix in "/" ".pdf"; do \
-		for type in help guide; do \
+		for type in help; do \
 			cp -a $(BDIR)/share/doc/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
 			cp -a $(BDIR)/share/doc/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $(BDIR)/share/doc/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
 			cp -a $(BDIR)/share/doc/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
-			if [ "$${type}" = guide ]; then \
-				cp -a $(BDIR)/share/doc/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
-			fi; \
+		done; \
+		for type in guide; do \
+			 cp -a $(BDIR)/share/doc/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
+			 cp -a $(BDIR)/share/doc/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
+			 cp -a $(BDIR)/share/doc/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
+			 cp -a $(BDIR)/share/doc/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
+			 cp -a $(BDIR)/share/doc/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
 		done; \
 	done
 	# Replace duplicate files with symlinks, to save space.
